Bug 1273933 - [webadmin][storage domains] Adding an NFS storage domain with additional mount options fails
[webadmin][storage domains] Adding an NFS storage domain with additional moun...
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Idan Shaby
Pavel Stehlik
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 10:21 EDT by Gonza
Modified: 2016-02-10 11:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 05:07:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
engine log (2.93 KB, text/plain)
2015-10-21 10:21 EDT, Gonza
no flags Details

  None (edit)
Description Gonza 2015-10-21 10:21:36 EDT
Created attachment 1085144 [details]
engine log

Description of problem:
Tried adding an NFS storage domain with the following mount options:
    sync,rw,no_subtree_check,all_squash,anonuid=36,anongid=36

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.18.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Navigate to Storage tab
2. Click on New Domain button
3. Input Export Path, Name
4. Under Custom Connection Parameters > Additional mount options, input:
    sync,rw,no_subtree_check,all_squash,anonuid=36,anongid=36
5. Click OK

Actual results:
Operation Canceled window pops up with message:
    Error while executing action Add Storage Connection: Problem while trying  to mount target

Expected results:
NFS Domain is successfully created

Additional info:
Works if mount options are only:
sync,rw
Attached log

Note You need to log in before you can comment on or make changes to this bug.